Skip to main content
GET
/
api2
/
v1
/
machineTranslateSettings
/
{mtsUid}
Get machine translate settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "uid": "<string>",
  "baseName": "<string>",
  "name": "<string>",
  "type": "<string>",
  "default_": true,
  "includeTags": true,
  "mtQualityEstimation": true,
  "args": {},
  "payForMtPossible": true,
  "payForMtActive": true,
  "charCount": 123,
  "sharingSettings": 123,
  "langs": {
    "id": "<string>",
    "sourceLang": "<string>",
    "targetLangs": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

mtsUid
string
required

Response

successful operation

id
string
uid
string
baseName
string
name
string
type
string
default_
boolean
includeTags
boolean
mtQualityEstimation
boolean
args
object
payForMtPossible
boolean
payForMtActive
boolean
charCount
integer<int32>
sharingSettings
integer<int32>
langs
object